Taslak Ofsetle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Offset and the translation is 17% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Mirror.svg Mirror
Next: Trimex Draft Trimex.svg Arrow-right.svg

Draft Offset.svg Ofsetle

Menü konumu
Taslak → Ofsetle
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
O S
Versiyonda tanıtıldı
-
Ayrıca bkz
Parça 2D ofset

Tanım

Ofset aracı seçilen nesneyi kendisine dik verilen belirli bir mesafeye (ofset) hareket ettirir.

Draft Offset example.jpg

Bir teli kenarlarından birinden belirli bir mesafeye kaydırmak

Nasıl Kullanılır

See also: Draft Snap and Draft Constrain.

  1. Offset yapmak istediğiniz nesneyi seçin.
  2. Draft Offset.png Ofset düğmesine basın veya O ardından S tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. 3D görünümde bir noktaya tıklayın veya bir mesafe yazın.

Seçenekler

The single character keyboard shortcuts and the modifier keys mentioned here can be changed. See Draft Preferences.

  • Kopyalamamoduna geçmek için P tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Ofset aracı orijinal şekli yerinde tutar, ancak seçilen noktada ölçeklendirilmiş bir kopya oluşturur.
  • Aynı zamanda geçiş modunu değiştirecek noktayı seçerken Alt tuşunu basılı tutun. Alt tuşuna basılı tutmak, ofset kopya yerleştirmeye devam etmenizi sağlar; İşlemi tamamlamak ve tüm ofset şekillerini görmek için Alt tuşunu serbest bırakın.
  • OCC moduna geçmek için "OCC stili" onay kutusunu tıklayın. Bu, segmentlerin uçlarında yuvarlatılmış kenarlarla özel olarak kapalı bir şekil üretecek olan bir çizgi parçasının her iki tarafından bir denge oluşturacaktır.
Note: Bu stilde orijinal bölümler kaldırılacak, bu nedenle orijinal kenarları korumak için kopyalama modunu kullanın.
  • snapping noktanızı mesafeden bağımsız olarak en yakın çeki konumuna zorlamak için ofset yaparken Ctrl tuşunu basılı tutun.
  • Geçerli segment için belirtilen uzaklık mesafesini korumak için Shift tuşunu basılı tutun ve başka bir referans seçmekten kaçının.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; önceden yerleştirilmiş ofset kopyalar kalacaktır.

Notes

  • To create an offset version of a Draft BSpline its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a Draft BSpline the Part Offset2D command should be used.
  • The Draft Offset command cannot handle Draft BezCurves. Use the Part Offset2D command instead.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of the distance: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Ofset aracı, aşağıdaki işlevi kullanarak makrolar ve python konsolundan kullanılabilir:

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Vektör olarak tanımlanan verilen delta verilen delta telini ilk köşesine uygulayarak ofsetler.
  • copy True ise, orijinal nesneyi dengelemek yerine başka bir nesne oluşturulur.
  • Eğer bind True ise ve tel nesnesinin açık olması şartıyla, orijinal ve ofset tel uç noktalarına bağlanarak bir yüz oluşturacaklardır.
    • Eğer sym True ise, bind de True olmalı ve ofset telin her iki tarafında da yapılmalı, toplam genişlik verilen vektörün uzunluğudur.
  • occ True ise, OCC stili ofsetini kullanacaktır: her iki taraftan ofset yapacak, sonra yeni telleri birbirine bağlayacak ve köşeleri yuvarlayacaktır.
  • Offsetobj orijinal ofset nesnesiyle veya yeni kopyayla döndürülür.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()